com.r3corda.protocols / PartyRequestMessage

# PartyRequestMessage

`interface PartyRequestMessage : ServiceRequestMessage`

### Properties

replyToParty | `abstract val replyToParty: Party`

### Inherited Properties

sessionID | `abstract val sessionID: Long`

### Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`

### Inheritors

Handshake | `data class Handshake : PartyRequestMessage`
Handshake | `data class Handshake : PartyRequestMessage`
NotifyTxRequestMessage | `data class NotifyTxRequestMessage : PartyRequestMessage`
QueryRequest | `data class QueryRequest : PartyRequestMessage`
Request | `data class Request : PartyRequestMessage`
SignRequest | `data class SignRequest : PartyRequestMessage`